GET /Medication
Summary: Search Medication resources
Operation ID: —
Auth: none
Operation ID: —
Auth: none
Description
Search for medications and pharmaceutical substances using code.
Parameters (4)
_count
(integer, query, optional, default: 20)
code
(string, query, optional)
RxNorm, ATC, or other medication code (e.g., 860975 for Metformin)
form
(string, query, optional)
Dose form (e.g., SNOMED CT code for tablet)
status
(string, query, optional)
Medication status (active, inactive, entered-in-error)
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for Metformin by RxNorm code | curl |
https://hapi.fhir.org/baseR4/Medication?code=860975 |
|
| List active medications with pagination | curl |
https://hapi.fhir.org/baseR4/Medication?status=active&_count=10 |
|
| Search for tablet-form medications | curl |
https://hapi.fhir.org/baseR4/Medication?form=385055001&_count=5 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:55:11.614763 | 200 | 490ms | |
| 2026-03-23 09:28:24.110523 | 200 | 484ms | |
| 2026-03-23 09:15:56.712989 | 200 | 493ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:28:24.110523 | a574a22f562b |
0cbb05d3a4dd |
| 2026-03-23 10:55:11.614763 | 0cbb05d3a4dd |
7a0060f1c13a |